### Method

# Clutter Animatable interpolate_value

#### Declaration [src]

    gboolean
    clutter_animatable_interpolate_value (
      ClutterAnimatable* animatable,
      const gchar* property_name,
      ClutterInterval* interval,
      gdouble progress,
      GValue* value
    )

#### Description [src]

Asks a `ClutterAnimatable` implementation to interpolate a a named property between the initial and final values of a `ClutterInterval`, using `progress` as the interpolation value, and store the result inside `value`.

This function should be used for every property animation involving `ClutterAnimatable`s.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to interpolate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`interval`

  Type: `ClutterInterval`

  A `ClutterInterval` with the animation range.

  The data is owned by the caller of the method.

`progress`

  Type: `gdouble`

  The progress to use to interpolate between the initial and final values of the `interval`.

`value`

  Type: `GValue`

  Return location for an initialized `GValue` using the same type of the `interval`.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the interpolation was successful, and `FALSE` otherwise.